Name:           x2goclient
Version:        4.1.2.3
Release:    1%{?dist}
Summary:        X2Go Client application

License:        GPLv2+
URL:            http://www.x2go.org
Source0:        http://code.x2go.org/releases/source/%{name}/%{name}-%{version}.tar.gz
Source1:        org.x2go.X2GoClient.metainfo.xml
Patch0:         x2goclient-krb5.patch
Patch2:         x2goclient-optflags.patch
Patch4:         0001-Select-X11-backend-on-wayland.patch
Patch5:         0002-Select-X11-backend-for-desktop-files-created-by-sess.patch

BuildRequires: make
BuildRequires:  gcc-c++
BuildRequires:  cups-devel
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  libssh-devel
BuildRequires:  libXpm-devel
BuildRequires:  man2html-core
BuildRequires:  openldap-devel
BuildRequires:  pkgconfig(Qt5)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5X11Extras)
BuildRequires:  qt5-linguist
Requires:       hicolor-icon-theme
Requires:       nxproxy
Requires:       openssh-clients
Requires:       openssh-server

%description
X2Go is a server-based computing environment with
    - session resuming
    - low bandwidth support
    - session brokerage support
    - client-side mass storage mounting support
    - client-side printing support
    - audio support
    - authentication by smartcard and USB stick

X2Go Client is a graphical client for the X2Go system.
You can use it to connect to running sessions and start new sessions.


%prep
%autosetup -p1
sed -i -e 's/-o root -g root//' Makefile
sed -i -e '/^MOZPLUGDIR=/s/lib/%{_lib}/' Makefile
sed -i -e '/^MAKEOVERRIDES *=/d' Makefile
sed -i -e 's/qt4/qt5/' Makefile
sed -i -e '/^LIBS /s/$/ -ldl/' x2goclient.pro


%build
export PATH=%{_qt5_bindir}:$PATH
%make_build


%install
%make_install PREFIX=%{_prefix}
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

install -D -p -m644 %{SOURCE1} %{buildroot}%{_metainfodir}/org.x2go.X2GoClient.metainfo.xml
appstream-util validate-relax \
  --nonet %{buildroot}%{_metainfodir}/org.x2go.X2GoClient.metainfo.xml

mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf.d


%files
%license COPYING LICENSE 
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
%{_datadir}/mime/packages/x-x2go.xml
%{_datadir}/%{name}/
%{_mandir}/man1/%{name}.1.gz
%{_metainfodir}/org.x2go.X2GoClient.metainfo.xml


%changelog
* Tue Jul 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 4.1.2.3-1
- initial build
